## org.eclipse.emf.ecoretools.diagram.expressions
Class EcoreOCLFactory

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.expressions.EcoreOCLFactory

    public class EcoreOCLFactory

extends java.lang.Object

Method Summary
`static EcoreAbstractExpression` `getExpression(java.lang.String body, org.eclipse.emf.ecore.EClassifier context)`
`static EcoreAbstractExpression` `getExpression(java.lang.String body, org.eclipse.emf.ecore.EClassifier context, java.util.Map environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExpression

    public static EcoreAbstractExpression getExpression(java.lang.String body,
                                                        org.eclipse.emf.ecore.EClassifier context,
                                                        java.util.Map environment)

### getExpression

    public static EcoreAbstractExpression getExpression(java.lang.String body,
                                                        org.eclipse.emf.ecore.EClassifier context)

Copyright 2007 Anyware Technologies. All Rights Reserved.